ImagickDraw::line
ImagickDraw::pathClose
ImagickDraw
PHP Manual

# ImagickDraw::matte

(PECL imagick 2.0.0)

ImagickDraw::matte — Paints on the image's opacity channel

### Description

bool ImagickDraw::matte ( float `$x` , float `$y` , int `$paintMethod` )
Warning

This function is currently not documented; only its argument list is available.

Paints on the image's opacity channel in order to set effected pixels to transparent, to influence the opacity of pixels.

### Parameters

`x`

  x coordinate of the matte

`y`

  y coordinate of the matte

`paintMethod`

  PAINT_ constant

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 ImagickDraw::matte()

`<?php
function matte($strokeColor, $fillColor, $backgroundColor, $paintType) {
$draw = new \ImagickDraw();
$draw->setStrokeColor($strokeColor);
$draw->setFillColor($fillColor);
$draw->setStrokeWidth(2);
$draw->setFontSize(72);
$draw->matte(120, 120, $paintType);
$draw->rectangle(100, 100, 300, 200);
$imagick = new \Imagick();
$imagick->newImage(500, 500, $backgroundColor);
$imagick->setImageFormat("png");
$imagick->drawImage($draw);
header("Content-Type: image/png");
echo $imagick->getImageBlob();
}
?>`

ImagickDraw::line
ImagickDraw::pathClose
ImagickDraw
PHP Manual